public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: net-print/dymo-cups-drivers/, net-print/dymo-cups-drivers/files/
@ 2017-07-23 12:11 Michael Palimaka
  0 siblings, 0 replies; 2+ messages in thread
From: Michael Palimaka @ 2017-07-23 12:11 UTC (permalink / raw
  To: gentoo-commits

commit:     bd12de08e6eb80fb0916964bacc9fceabe74c495
Author:     Peter Levine <plevine457 <AT> gmail <DOT> com>
AuthorDate: Sun Jul 23 08:16:51 2017 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sun Jul 23 12:11:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd12de08

net-print/dymo-cups-drivers: Use newer cups headers

Bug: https://bugs.gentoo.org/show_bug.cgi?id=610468
Package-Manager: Portage-2.3.6, Repoman-2.3.2

 .../dymo-cups-drivers-1.4.0.ebuild                 |  3 +-
 .../files/port_to_newer_cups_headers.patch         | 78 ++++++++++++++++++++++
 2 files changed, 80 insertions(+), 1 deletion(-)

diff --git a/net-print/dymo-cups-drivers/dymo-cups-drivers-1.4.0.ebuild b/net-print/dymo-cups-drivers/dymo-cups-drivers-1.4.0.ebuild
index 93bcc93cda4..3e7e04d9b91 100644
--- a/net-print/dymo-cups-drivers/dymo-cups-drivers-1.4.0.ebuild
+++ b/net-print/dymo-cups-drivers/dymo-cups-drivers-1.4.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -25,6 +25,7 @@ RESTRICT=test
 
 src_prepare() {
 	epatch "${FILESDIR}"/${PN}-1.2.0-cxxflags.patch
+	epatch "${FILESDIR}"/port_to_newer_cups_headers.patch
 	eautoreconf
 }
 

diff --git a/net-print/dymo-cups-drivers/files/port_to_newer_cups_headers.patch b/net-print/dymo-cups-drivers/files/port_to_newer_cups_headers.patch
new file mode 100644
index 00000000000..86776647949
--- /dev/null
+++ b/net-print/dymo-cups-drivers/files/port_to_newer_cups_headers.patch
@@ -0,0 +1,78 @@
+Bug: https://bugs.gentoo.org/610468
+
+Description: Port to newer cups headers: ppd_file_t is only defined in ppd.h
+Author: Didier Raboud <odyx@debian.org>
+Origin: vendor
+Last-Update: 2016-09-24
+
+--- a/configure.ac
++++ b/configure.ac
+@@ -94,7 +94,7 @@
+ 
+ AC_CHECK_LIB(cups, cupsMarkOptions, , AC_ERROR([Can't find cups library]))
+ AC_CHECK_LIB(cupsimage, cupsRasterReadHeader, , AC_ERROR([Can't find cupsimage library]))
+-AC_CHECK_HEADERS([cups/cups.h cups/raster.h],, AC_ERROR([Can't find cups headers]))
++AC_CHECK_HEADERS([cups/cups.h cups/raster.h cups/ppd.h],, AC_ERROR([Can't find cups headers]))
+ 
+ #CUPS_LIBS=`cups-config --image --libs`
+ #CUPS_LIBS="-lcups -lcupsimage"
+--- a/src/common/CupsFilter.h
++++ b/src/common/CupsFilter.h
+@@ -23,6 +23,7 @@
+ 
+ #include <cups/cups.h>
+ #include <cups/raster.h>
++#include <cups/ppd.h>
+ #include <memory>
+ #include <string>
+ #include "CupsPrintEnvironment.h"
+--- a/src/lm/CupsFilterLabelManager.h
++++ b/src/lm/CupsFilterLabelManager.h
+@@ -23,6 +23,7 @@
+ 
+ #include <cups/cups.h>
+ #include <cups/raster.h>
++#include <cups/ppd.h>
+ #include "LabelManagerDriver.h"
+ #include "LabelManagerLanguageMonitor.h"
+ #include "DummyLanguageMonitor.h"
+--- a/src/lw/CupsFilterLabelWriter.h
++++ b/src/lw/CupsFilterLabelWriter.h
+@@ -23,6 +23,7 @@
+ 
+ #include <cups/cups.h>
+ #include <cups/raster.h>
++#include <cups/ppd.h>
+ #include "LabelWriterDriver.h"
+ #include "LabelWriterLanguageMonitor.h"
+ #include "DummyLanguageMonitor.h"
+--- a/src/lw/raster2dymolw.cpp
++++ b/src/lw/raster2dymolw.cpp
+@@ -20,6 +20,7 @@
+ 
+ #include <cups/cups.h>
+ #include <cups/raster.h>
++#include <cups/ppd.h>
+ #include <stdlib.h>
+ #include <unistd.h>
+ #include <string.h>
+--- a/src/lw/tests/TestLabelWriterFilter.h
++++ b/src/lw/tests/TestLabelWriterFilter.h
+@@ -27,6 +27,7 @@
+ #include "../DummyLanguageMonitor.h"
+ 
+ #include <cups/cups.h>
++#include <cups/ppd.h>
+ 
+ class LabelWriterFilterTest: public CPPUNIT_NS::TestFixture
+ {
+--- a/src/lm/tests/TestLabelManagerFilter.h
++++ b/src/lm/tests/TestLabelManagerFilter.h
+@@ -26,6 +26,7 @@
+ #include "../LabelManagerDriver.h"
+ #include "DummyLanguageMonitor.h"
+ #include <cups/cups.h>
++#include <cups/ppd.h>
+ 
+ class LabelManagerFilterTest: public CPPUNIT_NS::TestFixture
+ {


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-print/dymo-cups-drivers/, net-print/dymo-cups-drivers/files/
@ 2019-06-11  5:10 Robin H. Johnson
  0 siblings, 0 replies; 2+ messages in thread
From: Robin H. Johnson @ 2019-06-11  5:10 UTC (permalink / raw
  To: gentoo-commits

commit:     838574244d2da2a919cf92444bd32a2207607a09
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 11 05:08:04 2019 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Tue Jun 11 05:10:00 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83857424

net-print/dymo-cups-drivers: EAPI7, maintainer, minor patch, fix tests

Used with Dymo LabelWriter 450 Turbo & GLabels, worked great today. Add
myself so it doesn't get treecleaned.

One outstanding bug fixed, EAPI7 conversion, and make the tests pass
(one check fails due to src_test not running as root, and the upstream
test design is meant for post-install).

Fixes: https://bugs.gentoo.org/601242
Package-Manager: Portage-2.3.67, Repoman-2.3.12
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 .../dymo-cups-drivers-1.4.0-r1.ebuild              | 55 ++++++++++++++++++++++
 .../dymo-cups-drivers-1.4.0.5-flexible-tests.patch |  9 ++++
 net-print/dymo-cups-drivers/metadata.xml           |  7 +++
 3 files changed, 71 insertions(+)

diff --git a/net-print/dymo-cups-drivers/dymo-cups-drivers-1.4.0-r1.ebuild b/net-print/dymo-cups-drivers/dymo-cups-drivers-1.4.0-r1.ebuild
new file mode 100644
index 00000000000..b6390ae9d51
--- /dev/null
+++ b/net-print/dymo-cups-drivers/dymo-cups-drivers-1.4.0-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit eutils autotools
+
+DESCRIPTION="Dymo SDK for LabelWriter/LabelManager printers"
+HOMEPAGE="https://newellrubbermaid.secure.force.com/dymopkb"
+SRC_URI="http://download.dymo.com/Download%20Drivers/Linux/Download/${P}.tar.gz"
+
+S="${WORKDIR}/${P}.5"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="test usb_modeswitch"
+
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="net-print/cups"
+DEPEND="${RDEPEND}
+	test? ( dev-util/cppunit )
+	usb_modeswitch? ( sys-apps/usb_modeswitch )"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.2.0-cxxflags.patch
+	"${FILESDIR}"/port_to_newer_cups_headers.patch
+	"${FILESDIR}"/dymo-cups-drivers-1.4.0.5-flexible-tests.patch
+)
+
+DOCS=( AUTHORS README ChangeLog docs/SAMPLES )
+
+src_prepare() {
+	default
+	eapply_user
+	eautoreconf
+}
+
+src_install() {
+	default
+
+	insinto /usr/share/doc/${PF}
+	doins docs/*.{txt,rtf,ps,png}
+}
+
+src_test() {
+	# upstream tests are designed to be run AFTER make install, because they depend on final paths.
+	testroot="${T}/testroot"
+	mkdir -p "${testroot}"
+	emake install DESTDIR="${testroot}" || die "Failed to install for testing"
+	# -W filters is because CUPS tries really hard for secure filters: they must be root/root for the filter tests to pass
+	#chown root:root "${testroot}"/usr/libexec/cups/filter/{raster2dymolm,raster2dymolw} || die "failed to set ownership for tests"
+	# This will trigger the following warning repeatedly
+	#Bad permissions on cupsFilter file "..${testroot}/usr/libexec/cups/filter/raster2dymolm"
+	emake check CUPSTESTPPD_OPTS="-R ${testroot} -W filters" || die "failed tests"
+}

diff --git a/net-print/dymo-cups-drivers/files/dymo-cups-drivers-1.4.0.5-flexible-tests.patch b/net-print/dymo-cups-drivers/files/dymo-cups-drivers-1.4.0.5-flexible-tests.patch
new file mode 100644
index 00000000000..e954b45822b
--- /dev/null
+++ b/net-print/dymo-cups-drivers/files/dymo-cups-drivers-1.4.0.5-flexible-tests.patch
@@ -0,0 +1,9 @@
+diff -Nuar --exclude '*~' dymo-cups-drivers-1.4.0.5.orig/ppd/Makefile.am dymo-cups-drivers-1.4.0.5/ppd/Makefile.am
+--- dymo-cups-drivers-1.4.0.5.orig/ppd/Makefile.am	2012-02-07 05:54:02.000000000 -0800
++++ dymo-cups-drivers-1.4.0.5/ppd/Makefile.am	2019-06-10 21:57:06.785694883 -0700
+@@ -51,4 +51,4 @@
+ testppd_SOURCES=
+ 
+ testppd:
+-	cupstestppd $(dist_cupsmodel_DATA)
++	cupstestppd $(CUPSTESTPPD_OPTS) $(dist_cupsmodel_DATA)

diff --git a/net-print/dymo-cups-drivers/metadata.xml b/net-print/dymo-cups-drivers/metadata.xml
index 097975e3adc..169f1f54e1f 100644
--- a/net-print/dymo-cups-drivers/metadata.xml
+++ b/net-print/dymo-cups-drivers/metadata.xml
@@ -1,4 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
+  <maintainer type="person">
+    <email>robbat2@gentoo.org</email>
+    <description>Occasional access to Dymo LabelWriter 450 Turbo</description>
+  </maintainer>
+  <use>
+    <flag name="usb_modeswitch">Include usb_modeswitch for some hardware (bug #601242)</flag>
+  </use>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2019-06-11  5:10 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-06-11  5:10 [gentoo-commits] repo/gentoo:master commit in: net-print/dymo-cups-drivers/, net-print/dymo-cups-drivers/files/ Robin H. Johnson
  -- strict thread matches above, loose matches on Subject: below --
2017-07-23 12:11 Michael Palimaka

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox